Subject: bug#31990: 26.1; Stuck in loop trying to send bug report

From: Live System User <[email-masked]>
Date: Fri, 10 Aug 2018 09:50:01 -0400

Eli Zaretskii <[email-masked]> writes:

>> From: Live System User <[email-masked]>
>> Cc: [email-masked]
>> Date: Fri, 10 Aug 2018 04:53:16 -0400
>> 
>> >>   It was done manually anew in each session, yes.
>> >
>> > Then you should be able to manually set the variables derived from the
>> > auth file, no?
>> 
>>   Unfortunately, no, as there is only the variable `smtpmail-smtp-user'
>>   and no "smtpmail-smtp-password"-like variable...
>
> Then perhaps we should add them.

  Yes, although I would prefer that the solution would be more
  comprehensive and allow users to make first-time *authenicated*
  connections instead of retrying (with a subsequent prompt for
  the password) only after a first-time *unauthenicated* connection
  failure.

  This would better solve this issue and for bug#26359 as well.

> I do consider yours a very strange use case, btw.

  I do it for my sense of privacy (as little as it may be).

  To each's own...
  
  Thanks.